ALTER TABLE STRUCTURE_MAP ADD CONSTRAINT FK_STR_MAP_ITEM FOREIGN KEY(SM_ID) REFERENCES ITEM(ITEM_ID) ON DELETE CASCADE
;
ALTER TABLE STRUCTURE_MAP ADD CONSTRAINT FK_STR_MAP_SS FOREIGN KEY(SS_ID) REFERENCES STRUCTURE_SET(SS_ID) ON DELETE CASCADE
;
ALTER TABLE STRUCTURE_MAP ADD CONSTRAINT FK_STR_MAP_SOURCE FOREIGN KEY(SOURCE_STR_ID) REFERENCES ARTEFACT(ART_ID)
;
ALTER TABLE STRUCTURE_MAP ADD CONSTRAINT FK_STR_MAP_TARGET FOREIGN KEY(TARGET_STR_ID) REFERENCES ARTEFACT(ART_ID)
;
